Business Tax

This endpoint enables the verification of business tax records by validating the supplied Tax Identification Number (TIN) against authoritative tax databases. It returns business registration details, tax status, and other related information associated with the TIN.

👍

Test Data

tax_number: "2522520314833"

📘

POST

https://api.prembly.com/verification/ng/business_tax


Request Header

KeyDescription
x-api-keyYour Secret Key

Request Body

KeyDescription
tax_numberYour Tax Identification Number

Sample Response

{
    "status": true,
    "response_code": "00",
    "message": "Business Tax Verification (Nigeria) verification successful",
    "detail": "Business Tax Verification (Nigeria) verification successful",
    "data": {
        "tin": "2522520314833",
        "taxpayerType": "Company",
        "name": "PREMBLY LIMITED"
    },
    "meta": {},
    "billing_info": {
        "was_charged": true,
        "amount": "1.0",
        "currency": "USD",
        "note": "Wallet charged 1.0 USD"
    },
    "verification": {
        "status": "VERIFIED",
        "reference": "9f5521e5-5230-469c-b0f0-6c5e6266071d",
        "verification_id": "e4e014bc-c826-4d44-9d77-56d6dc77ede4"
    },
    "reference_id": "VER-BUSINESS_TAX_NG-2XDO45UWN2",
    "transaction_id": "f70f2d59-bfd7-436c-972b-c296bb9687d8",
    "verification_status": "verified"
}